##---------------------------------------------------------------------------
##
## MODULE NAME:     content.cfg
##
## COPYRIGHT:       Copyright (c) 2013, GladeSoft, Inc.
##                  All Rights Reserved.
##
##                  NOTICE: THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF
##                  GLADESOFT, INC., AND SHALL NOT BE REPRODUCED, COPIED
##                  IN WHOLE OR IN PART ADAPTED, MODIFIED, OR
##                  DISSEMINATED WITHOUT THE EXPRESS WRITTEN CONSENT
##                  OF GLADESOFT, INC. ANY REDISTRIBUTION OR
##                  PUBLICATION TO UNAUTHORIZED PERSONS IS STRICTLY
##                  PROHIBITED BY U.S. AND INTERNATIONAL COPYRIGHT LAW.
##
## DESCRIPTION:     Configuration file for the example.
##
## AUTHOR:          M. Grosberg
##
## CREATION DATE:   Jun  4, 2006
##
##---------------------------------------------------------------------------
##
## HISTORY OF CHANGE
##
## -----+--------+------------------------------------------+------+---------
## VERS | DATE   | DESCRIPTION OF CHANGE                    | INIT | PR#
## =====+========+==========================================+======+=========
##  001 |06/04/06| File creation.                           | MYG  |
## -----+--------+------------------------------------------+------+---------
##---------------------------------------------------------------------------

# Simple MIME map.
mime text/html     html
mime image/jpeg    jpg

# Define external compression helpers and their codepoints.
# You can add new names with the same code point (and associated)
# compressor but with different chunk sizes if performance matters.
define encoding lzrw1kh(1) helper lzrw1kh_compress 16384  \
                                  __source_file__         \
                                  __output_file__


# HTML Preprocessing (optionally keep comments)
filter text/html - html-squish


# Encode HTML files with LZRW1/KH.
encoding text/html lzrw1kh

# Here is the content.
path html

# Since we are doing DAV, we need subdirs.
use subdirs 

